package de.joethei.monopoly.action;

import de.joethei.monopoly.Monopoly;
import de.joethei.monopoly.Player;
import de.joethei.monopoly.colors.BrightColor;
import de.joethei.monopoly.colors.NormalColor;

public class Card {

    private String name;
    private int money;
    private boolean positive;
    private boolean otherPlayers;

    public Card(String name, int money, boolean positive, boolean otherPlayers) {
        this.name = name;
        this.money = money;
        this.positive = positive;
        this.otherPlayers = otherPlayers;
    }

    public void execute(Player player) {
        if(otherPlayers) {
            if(positive) {
                System.out.println(name + " " + BrightColor.GREEN.getColorCode() + "+" + (money * (Monopoly.getPlayers().size() -1)) + "€" + NormalColor.RESET.getColorCode());
                for(Player players : Monopoly.getPlayers()) {
                    if(players != player) {
                        player.setMoney(player.getMoney() + money);
                        players.setMoney(players.getMoney() - money);
                    }
                }
            }else {
                System.out.println(name + " " + NormalColor.RED.getColorCode() + "-" + (money * (Monopoly.getPlayers().size() -1)) + "€" + NormalColor.RESET.getColorCode());
                for(Player players : Monopoly.getPlayers()) {
                    if(players != player) {
                        player.setMoney(player.getMoney() - money);
                        players.setMoney(players.getMoney() + money);
                    }
                }
            }

        }else {
            if(positive) {
                System.out.println(name + " " + BrightColor.GREEN.getColorCode() + "+" + money + "€" + NormalColor.RESET.getColorCode());
                player.setMoney(player.getMoney() + money);
            }
            else {
                System.out.println(name + " " + NormalColor.RED.getColorCode() + "-" + money + "€" + NormalColor.RESET.getColorCode());
                player.setMoney(player.getMoney() - money);
            }
        }

    }
}