package de.joethei.monopoly.actions;

import de.joethei.monopoly.Player;
import de.joethei.monopoly.action.Action;
import de.joethei.monopoly.action.ActionType;
import de.joethei.monopoly.fields.Field;
import de.joethei.monopoly.fields.OwnableField;

public class BuyFieldAction extends Action{

    public BuyFieldAction(Field field) {
        super("das Feld kaufen", field, ActionType.OPTIONAL);
    }

    @Override
    public void execute(Player player) {
        OwnableField field = (OwnableField) getField();
        if(field.getOwner() == null) {
            if(player.getMoney() >= field.getPrice()) {
                player.setMoney(player.getMoney() - field.getPrice());
                player.getOwning().add(field);
                field.setOwner(player);
                System.out.println(player.getColor().getColorCode() + "Gekauft!");
            }else System.out.println(player.getColor().getColorCode() + "Du hast nicht genug Geld");
        }
    }
}