package de.joethei.monopoly.actions;

import de.joethei.monopoly.Player;
import de.joethei.monopoly.action.Action;
import de.joethei.monopoly.action.ActionType;
import de.joethei.monopoly.fields.Field;
import de.joethei.monopoly.fields.OwnableField;
import de.joethei.monopoly.fields.Street;

public class PayRentAction extends Action{

    private int rent;

    public PayRentAction(Field field, int rent) {
        super("Miete bezahlt", field, ActionType.REQUIRED);
        this.rent = rent;
    }

    @Override
    public void execute(Player player) {
        OwnableField field = (OwnableField) getField();
        if(field.getOwner() != null) {
            int money = rent;
            if(field instanceof Street) {
                Street street = (Street) field;
                money = rent * street.getHouses();
            }
            field.getOwner().setMoney(field.getOwner().getMoney() + money);
            player.setMoney(player.getMoney() - money);
        }
    }
}
