package de.joethei.monopoly.actions;

import de.joethei.monopoly.Player;
import de.joethei.monopoly.action.Action;
import de.joethei.monopoly.action.ActionType;
import de.joethei.monopoly.fields.Field;
import de.joethei.monopoly.fields.OwnableField;
import de.joethei.monopoly.fields.Street;

public class SellFieldAction extends Action{

    public SellFieldAction(Field field) {
        super("das Feld verkaufen", field, ActionType.OPTIONAL_OWNER);
    }

    @Override
    public void execute(Player player) {
        OwnableField field = (OwnableField) getField();
        if(field.getOwner() == player) {
            int price;
            if(field instanceof Street) {
                Street street = (Street) field;
                price = field.getPrice() + (street.getHouses() * 100);
            }else price = field.getPrice();
            player.setMoney(player.getMoney() + price);
            player.getOwning().remove(field);
            field.setOwner(null);
        }
    }
}